Bug 184582 - Review Request: xchm - A GUI front-end to CHMlib
Review Request: xchm - A GUI front-end to CHMlib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-09 17:28 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 07:47:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-03-09 17:28:31 EST
SRPM Name or Url: 
http://www.environnement.ens.fr/perso/dumas/fc-srpms/xchm-1.4-1.src.rpm

Description: 
xCHM is a wxWidgets-based .chm viewer. xCHM can show the contents tree if 
one is available, print the displayed page, change fonts faces and size, 
work with bookmarks, do the usual history stunts (forward, back, home), 
provide a searchable index and seach for text in the whole book. The 
search is a fast B-tree search, based on the internal $FIftiMain file 
found inside indexed .chm archives, and it can be customized to search in 
content or just the topics' titles.
Comment 1 Andy Shevchenko 2006-03-10 07:12:27 EST
What about wxGTK? There is wxGTK < 2.6 prevents update.

Comment 2 Patrice Dumas 2006-03-10 08:51:39 EST
Could you be a bit more precise, please. What update does it prevent? The xchm
version I packaged Buildrequires wxGTK-devel >= 2.6, but I didn't add an
explicit version in the spec file, because it is intended for devel. It is more
clean to do it, though.

Updated at:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/xchm-1.4-2.src.rpm
Comment 3 Andy Shevchenko 2006-03-10 13:46:39 EST
I mean that FE current repo does not consist the wxGTK 2.6. It's a problem.
Comment 4 Patrice Dumas 2006-03-10 16:47:06 EST
Oh, I see. But the current xchm release requires wxGTK 2.6. I would have liked
to have xchm in FE3/4. I plan on submitting wxGTK26 for FE4, I'll see if I can
complete it.
Comment 5 Patrice Dumas 2006-03-10 18:15:50 EST
Oops, in the updated srpm, I added support for xmlrpc, but I don't think it is a
good idea yet... Please use this srpm instead:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/xchm-1.4-3.src.rpm

And indeed it only builds and installs in FC devel.
Comment 6 Andy Shevchenko 2006-06-02 06:47:34 EDT
Why do you not build last xchm (now is the 1.8)?
Comment 7 Patrice Dumas 2006-06-02 07:23:04 EDT
Because the review request is from about 2006-03-10. I'll update.
Comment 8 Patrice Dumas 2006-06-02 16:05:39 EDT
New version here:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/xchm-1.8.src.rpm
Comment 9 Patrice Dumas 2006-06-02 16:06:22 EDT
New version here:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/xchm-1.8-1.src.rpm
Comment 10 Patrice Dumas 2006-07-05 12:36:17 EDT
New version available:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/xchm-1.9-1.src.rpm
Comment 11 Michael J Knox 2006-07-21 02:50:46 EDT
Hi, I will review this package. 

----------------------------------------

Review for release 1:

* RPM name is NO

You need to have %{?dist} in the release tag. 

* This is the latest version
* Builds fine in mock (rawhide)
* rpmlint looks OK
* File list looks OK

Notes:

Looks good. I am happy to APPROVE this submission, just fix up the release tag.

Please close this report once you have imported the package into CVS. 

Just a note, in the future, if you can use the following example for submitting
both srpms and spec, it will make it easier for people to quickly review your
submissions:

Spec URL: http://www.example.com/extras/foo.spec
SRPM URL: http://www.example.com/extras/foo-1.2.3-1.src.rpm


Comment 12 Patrice Dumas 2006-07-21 07:06:37 EDT
(In reply to comment #11)
> * RPM name is NO
> 
> You need to have %{?dist} in the release tag. 

If I'm not wrong this is not an obligation. However I always use
%{?dist}, it is just a mistake of mine. I'll change it right after
importing to cvs.

> 
> Looks good. I am happy to APPROVE this submission, just fix up the release tag.

Thanks.

> Just a note, in the future, if you can use the following example for submitting
> both srpms and spec, it will make it easier for people to quickly review your
> submissions:
> 
> Spec URL: http://www.example.com/extras/foo.spec
> SRPM URL: http://www.example.com/extras/foo-1.2.3-1.src.rpm

Ok. I am lazy, but you are the second one making that request, so I'll
change my bad habits ;-). Thanks. 
Comment 13 Patrice Dumas 2006-07-21 07:47:16 EDT
Built in devel, branche requested in FC-5. Thanks!

Note You need to log in before you can comment on or make changes to this bug.